/*
# kayabuki : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : kayabuki
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"
//#include "Test.h"

/*
Example:
typedef struct lkayabukiInfo {
	float a;
	int   b;
} lkayabukiInfo;

typedef enum lkayabukiMode {
	a=0,
	b=1
} lkayabukiMode;
*/

int
main(int argc, char* argv[]) 
{
	kayabukiInfo info;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	DEBUGPRINT("Program Start\n");
	fprintf(info.fptOut,"%d\n",info.num);
	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
